## GwySelectionGraphLine GwySelectionGraphLine — Single coordinate graph selection |

## Functions

GwySelection * | gwy_selection_graph_line_new ()

## Properties

GwyOrientation | orientation | Read / Write

## Types and Values

struct | GwySelectionGraphLine
struct | GwySelectionGraphLineClass

## Object Hierarchy

        GObject
        ╰── GwySelection
            ╰── GwySelectionGraphLine

## Implemented Interfaces

GwySelectionGraphLine implements GwySerializable.

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

GwySelectionGraphLine is used to represent signle coodinate (`x` or `y` ) graph selections. Selection data consists of signle coordinates.

If you obtain the selection from a graph widget it has the "orientation" property set for information. The orientation should be kept intact in this case as changing it is not meaningful. The graph keeps two distinct horizontal and vertical selection objects.

## Functions

### gwy_selection_graph_line_new ()

    GwySelection *
    gwy_selection_graph_line_new (void);

Creates a new line-wise graph selection.

#### Returns

A new selection object.

Since: 2.1

## Types and Values

### struct GwySelectionGraphLine

    struct GwySelectionGraphLine;

### struct GwySelectionGraphLineClass

    struct GwySelectionGraphLineClass {
        GwySelectionClass parent_class;
    };

## Property Details

### The `“orientation”` property

      “orientation”              GwyOrientation

The :orientation property represents the orientation of the selected lines.

The orientation is `GWY_ORIENTATION_HORIZONTAL` for selections along the `x` -axis, i.e. vertical lines, and `GWY_ORIENTATION_VERTICAL` for selections along the `y` -axis, i.e. horizontal lines.

Owner: GwySelectionGraphLine

Flags: Read / Write

Default value: GWY_ORIENTATION_HORIZONTAL

Since: 2.43